Bug 848992 - Number of PCI device limit (8) is only for host PCI device assignment.
Number of PCI device limit (8) is only for host PCI device assignment.
Status: CLOSED DUPLICATE of bug 830097
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Virtualization_Host_Configuration_and_Guest_Installation_Gui (Show other bugs)
6.3
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Dayle Parker
ecs-bugs
: Documentation
Depends On: 831483
Blocks: 843023
  Show dependency treegraph
 
Reported: 2012-08-16 22:42 EDT by Kazuo Moriwaka
Modified: 2012-11-23 01:07 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 01:07:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kazuo Moriwaka 2012-08-16 22:42:08 EDT
Description of problem:


From currentr doc:
http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Virtualization_Host_Configuration_and_Guest_Installation_Guide/chap-Virtualization_Host_Configuration_and_Guest_Installation_Guide-Para_virtualized_drivers.html
-----------------------------------------------------------
PCI devices are limited by the virtualized system architecture. Out of
the 32 PCI devices for a guest, 4 are always defined for a KVM guest,
and are not removable. This means there are up to 28 PCI slots available
for additional devices per guest. 
**Note, however, that only up to 8 devices per guest are supported.**
Each PCI device in a guest can have up to 8 functions. 
-----------------------------------------------------------

This confuse readers as total number of virtual PCI devices(not only host device assignment) are limited to 8.
But this limit only affect when assigning host PCI device to VM.


Version-Release number of selected component (if applicable):

RHEL6.3 introduce this sentence.


Additional info:

my fixing idea:
1. remove this sentence from Chapter 10. KVM Para-virtualized Drivers
 
2. fix this sentence in Chapter 12. PCI device assignment
old: Note, however, that only up to 8 devices per guest are supported.
new: Note, however, host PCI device (both of Physical Function and Virtual Function) assignment to Virtual Machine is only up to 8 devices per guest.
Comment 2 Dayle Parker 2012-09-13 00:29:16 EDT
(In reply to comment #0)

> -----------------------------------------------------------
> PCI devices are limited by the virtualized system architecture. Out of
> the 32 PCI devices for a guest, 4 are always defined for a KVM guest,
> and are not removable. This means there are up to 28 PCI slots available
> for additional devices per guest. 
> **Note, however, that only up to 8 devices per guest are supported.**
> Each PCI device in a guest can have up to 8 functions. 
> -----------------------------------------------------------
> 
> This confuse readers as total number of virtual PCI devices(not only host
> device assignment) are limited to 8.
> But this limit only affect when assigning host PCI device to VM.

> old: Note, however, that only up to 8 devices per guest are supported.
> new: Note, however, host PCI device (both of Physical Function and Virtual
> Function) assignment to Virtual Machine is only up to 8 devices per guest.

Ronen, 
Is this still correct for RHEL 6.4?
Thank you,
Dayle
Comment 3 Ronen Hod 2012-09-13 04:38:17 EDT
(In reply to comment #2)
> (In reply to comment #0)
> 
> > -----------------------------------------------------------
> > PCI devices are limited by the virtualized system architecture. Out of
> > the 32 PCI devices for a guest, 4 are always defined for a KVM guest,
> > and are not removable. This means there are up to 28 PCI slots available
> > for additional devices per guest. 
> > **Note, however, that only up to 8 devices per guest are supported.**
> > Each PCI device in a guest can have up to 8 functions. 

I would merge the last two lines (by erasing a few words) into
**Note, however, that Each (of the 28) PCI device can have up to 8 functions.

Still asking around to see if "8 devices per guest" was ever true.

Ronen.

> > -----------------------------------------------------------
> > 
> > This confuse readers as total number of virtual PCI devices(not only host
> > device assignment) are limited to 8.
> > But this limit only affect when assigning host PCI device to VM.
> 
> > old: Note, however, that only up to 8 devices per guest are supported.
> > new: Note, however, host PCI device (both of Physical Function and Virtual
> > Function) assignment to Virtual Machine is only up to 8 devices per guest.
> 
> Ronen, 
> Is this still correct for RHEL 6.4?
> Thank you,
> Dayle
Comment 8 Alex Williamson 2012-10-02 10:48:09 EDT
8 devices refers only to assigned devices (those using -device pci-assign).  There is no limit beyond the availability of PCI bus slot/function numbers for emulated and virtio devices.  See bug 843023#c10 for clarification on what 8 devices means.
Comment 9 Dayle Parker 2012-10-03 03:33:46 EDT
Alex and Kazuo, thank you for the clarifications. I'll apply these to the guide.
Comment 15 John Skeoch 2012-10-10 19:30:21 EDT
There are similar discussions in: https://bugzilla.redhat.com/show_bug.cgi?id=843023

Also it is worth noting the guides now all reference 29 additional PCI Devices not 28. This number seems to have been switched on more than one occasion.

Note You need to log in before you can comment on or make changes to this bug.